Subject: Re: bug#36357: Wrong Ghostscript program name on MS Win

From: Arash Esbati <[email-masked]>
Date: Tue, 21 Apr 2020 22:29:23 +0200

Hi Sebastian,

Sebastian Urban <[email-masked]> writes:

> Thanks Arash for also looking into it, but part of the patch seems to
> be unnecessary.  I'm writing about these lines:
>
> # ;; The GS wrapper coming with TeX Live
> # ((executable-find "rungs.exe")
> #  "rungs")
> # ;; The MikTeX builtin GS
> # ;; Check if mgs is functional for external non-MikTeX apps.  Was
> # ;; available under:
> # ;;
>      http://blog.miktex.org/post/2005/04/07/Starting-mgsexe-at-the-DOS-Prompt.aspx
> # ((and (executable-find "mgs.exe")
> #       (= 0 (shell-command
> #             (concat (shell-quote-argument (executable-find "mgs.exe"))
> #                     " -q -dNODISPLAY -c quit"))))
> #  "mgs")
>
> They probably belong to AUCTeX only and do nothing in Doc-view.  So
> they should be removed.

I tend not to agree here as I've seen people who only have
TeXlive/MikTeX installed on Windows which cater for a minimal
Ghostscript.  Those people could benefit from the code above.  OTOH, I
don't have a strong opinion on this, so I'm fine with whatever Tassilo
pushes to Emacs repo.

Best, Arash